﻿#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

void OutToScreen(int& Ele)  // 輸出元素
{
	cout<<Ele<<", ";
}

int main()
{
	vector<int> myvt;								// 定義vector容器
	
	for(int i=0;i<10;i++)
		myvt.push_back(i);							// 預先放入元素
	
	myvt.insert(myvt.begin(),-1);					// 在開始位置插入 -1
	
	for_each(myvt.begin(),myvt.end(),OutToScreen);	// 輸出現時元素
	cout<<endl;
	
	myvt.insert(myvt.end(),-2);						// 在最尾位置插入 -2
	
	for_each(myvt.begin(),myvt.end(),OutToScreen);  // 輸出現時元素
	cout<<endl;
	
	vector<int> vt2;								// 定義新vector容器
	vt2.push_back(-8);
	vt2.push_back(-9);

	myvt.insert(myvt.end(),vt2.begin(),vt2.end());	// 在最尾位置插入多個元素
	
	for_each(myvt.begin(),myvt.end(),OutToScreen);	// 輸出現時元素
	cout<<endl;
	
	myvt.insert(myvt.begin(),3,0);					// 在開始位置 連續插入 3個 0 
	
	for_each(myvt.begin(),myvt.end(),OutToScreen);  // 輸出現時元素
	cout<<endl;
	
	myvt.clear();									// 清除所有元素
	
	return 0;
}